<?php
    /**
     * ヘッダー サブモジュール
     */
    $lmd->invokeModule('database.head', array(
        'page_label' => '修正画面', // パラメーターを渡すことができます。
    ));
?>



<form method="post" action="<?php echo $lmd->httpRequestDir() ?>/">

<?php if($lmd->getError()): ?>
    <div class="errormsg">
    <?php foreach($lmd->getError() as $msg): ?>
        <p><?php echo $msg ?></p>
    <?php endforeach ?>
    </div>
<?php endif; ?>

<p><span class="required">*</span> は必須項目です</p>

<div class="contentA">

<div class="row">
    <div class="left">名前<span class="required">*</span></div>
    <div class="right">

    <!-- 名前 -->
    <input name="name" type="text" class="text" value="<?php echo $name ?>" />

    </div>
    <div class="clear"></div>
</div>

<div class="row">
    <div class="left">メールアドレス<span class="required">*</span></div>
    <div class="right">

    <!-- メールアドレス -->
    <input name="email" type="text" class="text" value="<?php echo $email ?>" />

    </div>
    <div class="clear"></div>
</div>

<div class="row">
    <div class="left">OS <span class="required">*</span></div>
    <div class="right">

    <!-- OS -->
    <?php
        $fe = Factory::load('FormElement')->getInstance(Resource::get('os'));
        $fe->setDefault($os);
        $fe->setFirst('', '▼選択');
        $fe->select('os');
    ?>

    </div>
    <div class="clear"></div>
</div>

<div class="row">
    <div class="left">購入時期</div>
    <div class="right">

    <!-- 購入時期 -->
    <?php
        $fe = Factory::load('FormElement')->getInstance(Resource::get('within'));
        $fe->setDefault($within);
        $fe->setDelimiter('　');
        $fe->setLabelTag('within');
        $fe->radio('within', array('id' => 'within'));
    ?>

    </div>
    <div class="clear"></div>
</div>

<div class="row">
    <div class="left">ブラウザ</div>
    <div class="right">

    <!-- ブラウザ -->
    <?php
        $browsers = Resource::get('browser');
        $def = array();

        $browser = is_array($browser) ? $browser : explode(',', $browser);
        foreach ($browser as $brow) {
            if (false !== $key = array_search($brow, $browsers)) {
                $def[] = $key;
                continue;
            }
        }
        $fe = Factory::load('FormElement')->getInstance(Resource::get('browser'));
        $fe->setDefault($def);
        $fe->setDelimiter('　');
        $fe->setLabelTag('browser');
        $fe->checkboxes('browser', array('id' => 'browser'));
    ?>

    </div>
    <div class="clear"></div>
</div>

<div class="row">
    <div class="left">お問合せ内容<span class="required">*</span></div>
    <div class="right">

    <!-- お問合せ内容 -->
    <textarea name="message" class="textarea"><?php echo $message ?></textarea>

    </div>
    <div class="clear"></div>
</div>

<div style="padding:10px">
    <input type="hidden" name="test_table_id" value="<?php echo $test_table_id ?>" />
    <input name="edit" type="submit" value="　修正する　" />
</div>

</div>

</form>



<?php
    /**
     * フッター サブモジュール
     */
    $lmd->invokeModule('database.foot');
?>
