<?php
    /**
     * ヘッダー サブモジュール
     */
    $lmd->invokeModule('database.head', array(
        'page_label' => '入力画面', // パラメーターを渡すことができます。
    ));
?>



<form method="post" action="<?php echo $lmd->httpRequestDir() ?>/">

<?php if($lmd->getError()): ?>
    <div class="errormsg">
    <?php foreach($lmd->getError() as $msg): ?>
        <p><?php echo $msg ?></p>
    <?php endforeach ?>
    </div>
<?php endif; ?>

<p><span class="required">*</span> は必須項目です</p>

<div class="contentA">

<div class="row">
    <div class="left">名前<span class="required">*</span></div>
    <div class="right">

    <!-- 名前 -->
    <input name="name" type="text" class="text" value="<?php echo $name ?>" />

    </div>
    <div class="clear"></div>
</div>

<div class="row">
    <div class="left">メールアドレス<span class="required">*</span></div>
    <div class="right">

    <!-- メールアドレス -->
    <input name="email" type="text" class="text" value="<?php echo $email ?>" />

    </div>
    <div class="clear"></div>
</div>

<div class="row">
    <div class="left">OS <span class="required">*</span></div>
    <div class="right">

    <!-- OS -->
    <?php
        $fe = Factory::load('FormElement')->getInstance(Resource::get('os'));
        $fe->setDefault($os);
        $fe->setFirst('', '▼選択');
        $fe->select('os');
    ?>

    </div>
    <div class="clear"></div>
</div>

<div class="row">
    <div class="left">購入時期</div>
    <div class="right">

    <!-- 購入時期 -->
    <?php
        $fe = Factory::load('FormElement')->getInstance(Resource::get('within'));
        $fe->setDefault($within);
        $fe->setDelimiter('　');
        $fe->setLabelTag('within');
        $fe->radio('within', array('id' => 'within'));
    ?>

    </div>
    <div class="clear"></div>
</div>

<div class="row">
    <div class="left">ブラウザ</div>
    <div class="right">

    <!-- ブラウザ -->
    <?php
        $fe = Factory::load('FormElement')->getInstance(Resource::get('browser'));
        $fe->setDefault($browser);
        $fe->setDelimiter('　');
        $fe->setLabelTag('browser');
        $fe->checkboxes('browser', array('id' => 'browser'));
    ?>

    </div>
    <div class="clear"></div>
</div>

<div class="row">
    <div class="left">お問合せ内容<span class="required">*</span></div>
    <div class="right">

    <!-- お問合せ内容 -->
    <textarea name="message" class="textarea"><?php echo $message ?></textarea>

    </div>
    <div class="clear"></div>
</div>

<div style="padding:10px">
    <input name="confirm" type="submit" value="　確認する　" />
</div>

</div>

</form>



<form method="post" action="<?php echo $lmd->httpRequestDir() ?>/delete">

<style type="text/css">
td{vertical-align:middle;}
</style>

<?php if(isset($res) && $res): ?>
    <table border="1" width="90%" style="margin:40px 20px 0">
    <tr style="background-color:#ddd">
    <th>　</th><th>修正</th><th>名前</th><th>メールアドレス</th><th>OS</th><th>購入時期</th><th>ブラウザ</th><th>お問合せ内容</th>
    </tr>
    <?php foreach($res as $v): ?>
        <tr onmouseover="style.background='#e5f1ff'" onmouseout="style.background='#fff'">
        <td style="text-align:center">
        <input type="checkbox" name="ids[]" value="<?php echo $v['test_table_id'] ?>">
        </td>
        <td style="text-align:center">
        <a href="<?php echo $lmd->httpRequestDir() ?>/edit?test_table_id=<?php echo $v['test_table_id'] ?>">修正</a>
        </td>
        <td><?php echo $v['name'] ?></td>
        <td><?php echo $v['email'] ?></td>
        <td><?php echo Resource::get('os', $v['os']) ?></td>
        <td><?php echo Resource::get('within', $v['within'],'') ?></td>
        <td><?php echo $v['browser'] ?></td>
        <td><?php echo nl2br($v['message']) ?></td>
        </tr>
    <?php endforeach; ?>
    </table>
<?php endif; ?>

<!-- pager -->
<div style="padding:20px"><?php echo isset($pager) ? $pager : '' ?></div>
<!-- pager -->

<?php if(isset($res) && $res): ?>
    <div style="padding:0 20px 40px">
    <input type="submit" name="delete" value="　削除する　" onClick="return preProcess('delete');">
    </div>
<?php endif; ?>

</form>



<script type="text/javascript">
function preProcess(type)
{
    if ($("input:checkbox[@name='ids[]']:checked").length == 0) {
        alert('チェックボックスで指定してください');
        return false;
    }

    switch (type) {
        case 'delete':
            return confirm('削除します。よろしいですか？');
            break;
    }
}
</script>



<?php
    /**
     * フッター サブモジュール
     */
    $lmd->invokeModule('database.foot');
?>
