<?php
/**
 * データアクセスオブジェクト
 */
/**
 * 推奨される メソッド命名規則
 *
 * [fetchAll]
 *  fetchAll($offset, $limit)
 *
 * [fetch]
 *  fetch_BY_id($id)
 *  fetch_BY_id_AND_name($id, $name)
 *  fetch_BY_id_OR_name($id, $name)
 *
 * [fetchColumn]
 *  fetchColumn_address_BY_id($id)
 *  fetchColumn_address_BY_id_AND_name($id, $name)
 *  fetchColumn_address_BY_id_OR_name($id, $name)
 *
 * [insert]
 *  insert()
 *
 * [update]
 *  update_name_address_BY_id($id)
 *  update_BY_id_AND_name($id, $name)
 *
 * [delete]
 *  delete_BY_id($id)
 */

require_once dirname(__FILE__).'/DAO_Base.php';

class DAO_test_table extends DAO_Base
{
    protected $table = 'test_table';
    protected $pkey  = 'test_table_id';

    public function __construct()
    {
        parent::__construct();
        $this->manipulator->setTable($this->table);
    }

    public function insert(Array $p)
    {
        $this->manipulator->columns(
            'name', 'email', 'os', 'within', 'browser', 'message', 'reg_datetime', 'upd_datetime'
        );
        $this->manipulator->values(array(
            'name'         => $p['name'], 
            'email'        => $p['email'], 
            'os'           => $p['os'], 
            'within'       => $p['within'], 
            'browser'      => $p['browser'], 
            'message'      => $p['message'], 
            'reg_datetime' => date('Y-m-d H:i:s'), 
            'upd_datetime' => NULL, 
        ));
       return $this->manipulator->insert();
    }

    public function update($id, Array $p)
    {
        $this->manipulator->set(array(
            'name'         => $p['name'], 
            'email'        => $p['email'], 
            'os'           => $p['os'], 
            'within'       => $p['within'], 
            'browser'      => $p['browser'], 
            'message'      => $p['message'], 
            'upd_datetime' => date('Y-m-d H:i:s'), 
        ));
        $this->manipulator->where(array(
            $this->pkey => $id,
        ));
        return $this->manipulator->update();
    }



} //-- End of class


